Bug 205010 - mail/mailscanner: Update to 4.85.2-3
Summary: mail/mailscanner: Update to 4.85.2-3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-12-04 08:26 UTC by Talal Al Dik
Modified: 2016-01-04 07:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kkobb)


Attachments
update mail/mailscanner to 4.85.2-3 (67.35 KB, text/plain)
2015-12-04 08:30 UTC, Talal Al Dik
koobs: maintainer-approval-
Details
[patch] mail/mailscanner_v4_85_2_3 (45.22 KB, patch)
2015-12-04 08:51 UTC, Talal Al Dik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Talal Al Dik 2015-12-04 08:26:39 UTC
update MailScanner port to current stable version v4.85.2-3
Comment 1 Talal Al Dik 2015-12-04 08:30:02 UTC
Created attachment 163835 [details]
update mail/mailscanner to 4.85.2-3
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 08:38:24 UTC
@Tad, updates to ports need to be provided in svn diff format, rather than shar files, which are only used for new ports.

Can you create a new attachments in that format please.
Comment 3 Talal Al Dik 2015-12-04 08:51:01 UTC
Created attachment 163836 [details]
[patch] mail/mailscanner_v4_85_2_3
Comment 4 Talal Al Dik 2015-12-04 09:21:18 UTC
@koobs I've added the patch in diff format instead of the shar file.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 09:24:48 UTC
@Talal, thank you :)

If you could confirm this passes QA (portlint, poudriere), that would be fantastic
Comment 6 Talal Al Dik 2015-12-04 09:35:28 UTC
@Kubilay it passes portlint. I don't know how to use poudriere, i'll have to read on it.
Comment 7 Talal Al Dik 2015-12-05 18:02:45 UTC
@Kubilay here is the portlint result:

# portlint /usr/ports/mail/mailscanner
WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.
0 fatal errors and 1 warning found.
Comment 8 Martin Wilke freebsd_committer 2015-12-14 03:44:16 UTC
Hi,

While we are updating this port can you please convert to the new option way?


Thanks in Advance.
Comment 9 commit-hook freebsd_committer 2016-01-04 07:16:49 UTC
A commit references this bug:

Author: miwi
Date: Mon Jan  4 07:16:01 UTC 2016
New revision: 405218
URL: https://svnweb.freebsd.org/changeset/ports/405218

Log:
  - Update to 4.85.2-3

  PR:		205010
  Submitted by:	Talal Al Dik
  Approved by:	maintainer timeout (3 weeks+)

Changes:
  head/mail/mailscanner/Makefile
  head/mail/mailscanner/distinfo
  head/mail/mailscanner/files/CHANGES.port
  head/mail/mailscanner/files/patch-bin-cron-update_phishing_sites.cron
  head/mail/mailscanner/files/patch-bin-cron-update_virus_scanners.cron
  head/mail/mailscanner/files/patch-lib-clamav-wrapper
  head/mail/mailscanner/files/patch-lib__MailScanner__CustomFunctions__LastSpam.pm
  head/mail/mailscanner/files/patch-lib__MailScanner__CustomFunctions__Ruleset-from-Function.pm
  head/mail/mailscanner/files/patch-lib__MailScanner__TNEF.pm
  head/mail/mailscanner/files/patch-lib_clamav-wrapper
  head/mail/mailscanner/pkg-descr
  head/mail/mailscanner/pkg-plist